/*
 * Upbit Open API
 * ## REST API for Upbit Exchange - Base URL: [https://api.upbit.com] - Official Upbit API Documents: [https://docs.upbit.com] - Official Support email: [open-api@upbit.com] 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: ujhin942@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.18
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AskAccount', 'model/BidAccount', 'model/Market'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AskAccount'), require('./BidAccount'), require('./Market'));
  } else {
    // Browser globals (root is window)
    if (!root.UpbitOpenApi) {
      root.UpbitOpenApi = {};
    }
    root.UpbitOpenApi.OrderChance = factory(root.UpbitOpenApi.ApiClient, root.UpbitOpenApi.AskAccount, root.UpbitOpenApi.BidAccount, root.UpbitOpenApi.Market);
  }
}(this, function(ApiClient, AskAccount, BidAccount, Market) {
  'use strict';

  /**
   * The OrderChance model module.
   * @module model/OrderChance
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>OrderChance</code>.
   * @alias module:model/OrderChance
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>OrderChance</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/OrderChance} obj Optional instance to populate.
   * @return {module:model/OrderChance} The populated <code>OrderChance</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('bid_fee'))
        obj.bidFee = ApiClient.convertToType(data['bid_fee'], 'String');
      if (data.hasOwnProperty('ask_fee'))
        obj.askFee = ApiClient.convertToType(data['ask_fee'], 'String');
      if (data.hasOwnProperty('market'))
        obj.market = Market.constructFromObject(data['market']);
      if (data.hasOwnProperty('bid_account'))
        obj.bidAccount = BidAccount.constructFromObject(data['bid_account']);
      if (data.hasOwnProperty('ask_account'))
        obj.askAccount = AskAccount.constructFromObject(data['ask_account']);
    }
    return obj;
  }

  /**
   * 매수 수수료 비율
   * @member {String} bidFee
   */
  exports.prototype.bidFee = undefined;

  /**
   * 매도 수수료 비율
   * @member {String} askFee
   */
  exports.prototype.askFee = undefined;

  /**
   * @member {module:model/Market} market
   */
  exports.prototype.market = undefined;

  /**
   * @member {module:model/BidAccount} bidAccount
   */
  exports.prototype.bidAccount = undefined;

  /**
   * @member {module:model/AskAccount} askAccount
   */
  exports.prototype.askAccount = undefined;


  return exports;

}));
